## org.apache.mahout.cf.taste.hadoop.similarity.item
Class CountUsersReducer

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<CountUsersKeyWritable,VarLongWritable,VarIntWritable,org.apache.hadoop.io.NullWritable>
          org.apache.mahout.cf.taste.hadoop.similarity.item.CountUsersReducer

    public class CountUsersReducer

extends org.apache.hadoop.mapreduce.Reducer<CountUsersKeyWritable,VarLongWritable,VarIntWritable,org.apache.hadoop.io.NullWritable>

counts all unique users, we ensure that we see userIDs sorted in ascending order via secondary sort, so we don't have to buffer all of them

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`org.apache.hadoop.mapreduce.Reducer.Context`

Constructor Summary
`CountUsersReducer()`

Method Summary
`protected void` `reduce(CountUsersKeyWritable key, java.lang.Iterable<VarLongWritable> userIDs, org.apache.hadoop.mapreduce.Reducer.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CountUsersReducer

    public CountUsersReducer()

Method Detail

### reduce

    protected void reduce(CountUsersKeyWritable key,
                          java.lang.Iterable<VarLongWritable> userIDs,
                          org.apache.hadoop.mapreduce.Reducer.Context context)
                   throws java.io.IOException,
                          java.lang.InterruptedException

  Overrides:
    `reduce` in class `org.apache.hadoop.mapreduce.Reducer<CountUsersKeyWritable,VarLongWritable,VarIntWritable,org.apache.hadoop.io.NullWritable>`
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.